socat

Description:Multipurpose relay (SOcket CAT)
License: GPL-2
Homepage:http://www.dest-unreach.org/socat/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
9999 diff - - - - - - - - - - - - -
2.0.0_beta9 diff - - - - - - - - - - - - -
1.7.3.4 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ - ~ ~
1.7.3.3 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ - ~ ~
1.7.3.2 ~ + + + ~ ~ ~ + + ~ - + +

USE flags

  • bindist - Flag to enable or disable options for prebuilt (GRP) packages (eg. due to licensing issues)
  • ipv6 - Add support for IP version 6
  • libressl - Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
  • readline - Enable support for libreadline, a GNU line-editing library that almost everyone wants
  • ssl - Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
  • tcpd - Add support for TCP wrappers

Security Advisory

Date Severity Title
over 3 years normal socat: Multiple vulnerabilities
almost 8 years high socat: Arbitrary code execution
over 15 years normal socat: Format string vulnerability

Also available in: Atom

Thank you!